<?xml version="1.0" encoding="UTF-8"?>
<InstallerConfigXML xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="InstallerConfigXML.xsd">
  <cfgProductInfo>
    <CoInstallerFinishEvent>
      <FinishEventName If="32bit">EasyStart</FinishEventName>
      <FinishEventName If="64bit">EasyStart</FinishEventName>
    </CoInstallerFinishEvent>
    <InstantiationName>HP EasyStart</InstantiationName>
    <InstanceBuildName>HP EasyStart</InstanceBuildName>
    <InstanceID>HP EasyStart</InstanceID>
    <!-- The InstanceVersion gets updated as part of the build process. -->
    <InstanceVersion>10.0.4029.14</InstanceVersion>
    <InstanceDateCode>HP EasyStart</InstanceDateCode>
    <Title>HP EasyStart</Title>
    <ProgramGroupTitle>HP EasyStart</ProgramGroupTitle>
    <ProductName>HP EasyStart</ProductName>
    <ShowSkipPnPCheckbox>false</ShowSkipPnPCheckbox>
    <ShowEPrintText>false</ShowEPrintText>
    <FinishScreenCommentStringKey>
    </FinishScreenCommentStringKey>
    <Comments>
    </Comments>
    <AdditionalSWConfigFileName>
    </AdditionalSWConfigFileName>
    <PostInstallManagerLaunchActionItems>
    </PostInstallManagerLaunchActionItems>
  </cfgProductInfo>
  <cfgConnectionItems>
  </cfgConnectionItems>
  <cfgInstallationInfo>
    <InstallPathPrefix>%ProgramFiles%\HP\csiInstaller</InstallPathPrefix>
    <InstallDataPathPrefix>%ProgramData%\HP\csiInstaller</InstallDataPathPrefix>
    <InstallDataFileName>hpbcsiInstaller.xml</InstallDataFileName>
    <RegKeyBase>HKEY_CURRENT_USER\\Software\Hewlett-Packard</RegKeyBase>
    <Manufacturer>Hewlett-Packard</Manufacturer>
    <PreloadExeString>%InstancePreloadPath%\Setup.exe</PreloadExeString>
    <UninstallArgsString>/Uninstall</UninstallArgsString>
    <ForcedUninstallArgsString>/ForcedUninstall</ForcedUninstallArgsString>
    <WirelessReconfigArgsString>/ReconfigWireless</WirelessReconfigArgsString>
    <InstallerEventName>HP.EasyStart</InstallerEventName>
    <ThreadTimeoutSeconds>1200</ThreadTimeoutSeconds>
    <PrepareToInstallThreadTimeoutSeconds>1260</PrepareToInstallThreadTimeoutSeconds>
    <PnPThreadTimeOutSeconds>1200</PnPThreadTimeOutSeconds>
    <InstallThreadTimeoutSeconds>2400</InstallThreadTimeoutSeconds>
    <ShowCustomerFriendlyExceptionMessage>true</ShowCustomerFriendlyExceptionMessage>
    <LocalizedContent>
    </LocalizedContent>
    <HelpContent>
    </HelpContent>
  </cfgInstallationInfo>
  <cfgSupportedLanguages>
  </cfgSupportedLanguages>
  <cfgNavPageItems>
  </cfgNavPageItems>
  <cfgSystemCheckConditions>
    <BlockConditions>
      <Condition Name="WindowsXP" ErrorMessageLoc="strErrorDetailUnsupportedOS" Webpage="http://www.hp.com/go/support" Action="LaunchWebpage"/>
      <!-- Can't block Vista here, because this also takes out Win2k8SP2.  Need to make sure Vista isn't listed in the Supported section. -->
    </BlockConditions>
    <SupportedConditions>
      <Condition Name="32bit or 64bit" ErrorMessageLoc="strErrorDetailUnsupportedArchitecture"/>
      <Condition Name="DiskSpace200MB" ErrorMessageLoc="strErrorDetailInsufficientDiskSpace"/>
      <Condition Name="PhysicalMemory512MB" ErrorMessageLoc="strErrorDetailInsufficientPhysicalMemory"/>
      <Condition Name="Win32NTPlatform" ErrorMessageLoc="strErrorDetailUnsupportedOS"/>
      <Condition Name="Server2k864BitSP2OrGreater or Windows7SP1OrGreater or WindowsEightOrNewer" ErrorMessageLoc="strErrorDetailUnsupportedOS" Webpage="http://www.hp.com/go/support" Action="LaunchWebpage"/>
    </SupportedConditions>
    <MinimumOnlyConditions>
      <Condition Name="ServerProductTypes"/>
    </MinimumOnlyConditions>
    <!--
    Options for the Prerequisites Condition Name are as follows:
      DotNet351
      DotNet351OrGreater
      DotNet40
      DotNet40OrGreater
      DotNet45
      
    Options for the Action are as follows:
      LaunchWebpage
      InstallDotNet
    -->
    <Prerequisites>
      <Condition Name="DotNet45" ErrorMessageLoc="strErrorDetailUnsupportedOS" Webpage="http://www.hp.com/go/support" Action="InstallDotNet"/>
    </Prerequisites>
  </cfgSystemCheckConditions>
  <cfgPDUItems>
  </cfgPDUItems>
  <cfgPDUEngineItems>
  </cfgPDUEngineItems>
  <cfgSystemConditionItems>
    <cfgSystemConditionItem Name="DiskSpace200MB">
      <MinDiskSpace>209715200</MinDiskSpace>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="PhysicalMemory512MB">
      <MinRAM>536870912</MinRAM>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsXP">
      <CurrentOSVersionMajor>5</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>1</CurrentOSVersionMinor>
      <CurrentOSVersionProductType>1</CurrentOSVersionProductType>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsVista">
      <CurrentOSVersionMajor>6</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>0</CurrentOSVersionMinor>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="Windows7SP1OrGreater">
      <CurrentOSVersionMajor>6</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>1</CurrentOSVersionMinor>
      <MinOSVersionServicePack>1</MinOSVersionServicePack>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="WindowsEightOrNewer">
      <MinOSVersionMajor>6</MinOSVersionMajor>
      <MinOSVersionMinor>2</MinOSVersionMinor>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="Server2k864BitSP2OrGreater">
      <CurrentOSVersionMajor>6</CurrentOSVersionMajor>
      <CurrentOSVersionMinor>0</CurrentOSVersionMinor>
      <CurrentArchitecture>64bit</CurrentArchitecture>
      <MinOSVersionServicePack>2</MinOSVersionServicePack>
      <MinOSVersionProductType>2</MinOSVersionProductType>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="32bit">
      <CurrentArchitecture>32bit</CurrentArchitecture>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="64bit">
      <CurrentArchitecture>64bit</CurrentArchitecture>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="Win32NTPlatform">
      <CurrentOSPlatform>2</CurrentOSPlatform>
    </cfgSystemConditionItem>
    <cfgSystemConditionItem Name="ServerProductTypes">
      <MinOSVersionProductType>2</MinOSVersionProductType>
    </cfgSystemConditionItem>
  </cfgSystemConditionItems>
</InstallerConfigXML>
